%define _disable_ld_no_undefined 1

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Modular Calendar Access Library
Name:		mcal
Version:	0.7
Release:	%mkrel 26
Group:		System/Libraries
License:	GPLv2+
URL:		http://mcal.chek.com/
Source0:	lib%{name}-%{version}.tar.bz2
Source1:	mcaldrivers-0.9.tar.bz2
# project seems dead upstream ( no commit since 
# 10 years )
# fix on Makefile to make it support OPTFLAG
#TODO redo it cleanly ( ie, without patching Makefile directly )
Patch0:		libmcal-make.patch
# change the path for calendar from /var/calendar to /var/lib/calendar
Patch2:		mcal-mstore_calendar_path.patch
# fix for gcc 4.0 build
Patch3:		libmcal-0.7-gcc-4.0-fix.patch
# fix build with latest flex 2.6.1
Patch4:		libmcal-0.7-flexfix.patch
# enable running unit tests
Patch6:		libmcal-0.7-mga-enable-tests.patch
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	pam-devel

%description
libmcal is a C library for accessing calendars. It's written to be very
modular, with pluggable drivers.

%package -n	%{libname}
Summary:        Modular Calendar Access Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with mcal.

%package -n	%{develname}
Summary:	MCAL header files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release} 
Provides:	%{name}-devel = %{version}-%{release}   
Obsoletes:	%{mklibname mcal -d 0}

%description -n	%{develname}
Header files for MCAL-based program development.

%prep

%setup -q -n lib%{name} -a1
mv -f mcal-drivers/* .
rm -rf mcal-drivers
%patch0 -p1 -b .make
%patch2 -p0 -b .calpath
%patch3 -p1 -b .gcc4_0
%patch4 -p1 -b .flex
%patch6 -p0 -b .tests

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" Makefile*

%build
export OPTFLAGS="%{optflags} -fPIC -D_REENTRANT"

%make -C icap
%make -C mstore

%configure \
    --with-icap \
    --with-mstore

%make_build

%install
%make_install

mv -f mstore/Changelog Changelog.mstore
mv -f mstore/README README.mstore

install -d -m 1777 %{buildroot}/var/lib/calendar
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/mpasswd

rm -f %{buildroot}%{_libdir}/*.a

%check
%make check

%files -n %{libname}
%doc CHANGELOG FAQ-MCAL FEATURE-IMPLEMENTATION HOW-TO-MCAL *.mstore
%config(noreplace) %{_sysconfdir}/mpasswd
%{_libdir}/lib*.so.%{major}{,.*}
%attr(1777,root,root) /var/lib/calendar

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/lib*.la


%changelog
* Wed Mar 25 2020 umeabot <umeabot> 0.7-26.mga8
+ Revision: 1559851
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.7-25.mga7
+ Revision: 1299497
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Apr 14 2016 daviddavid <daviddavid> 0.7-24.mga6
+ Revision: 1001265
- fix build with latest flex 2.6.1
- add major guard

* Fri Feb 12 2016 umeabot <umeabot> 0.7-23.mga6
+ Revision: 956154
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-22.mga5
+ Revision: 742780
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7-21.mga5
+ Revision: 727224
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7-20.mga5
+ Revision: 682313
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7-19.mga4
+ Revision: 529601
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 danf <danf> 0.7-18.mga4
+ Revision: 452639
- added yyleng-type.patch to fix data type that broke compilation
- added enable-tests.patch to run unit tests at build time
- removed static library from -devel since libtool doesn't build it any more
  by default
- removed some obsolete macros from the spec file
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 misc <misc> 0.7-16.mga1
+ Revision: 35806
- comment on the patches
- remove old cruft
+ ennael <ennael>
- imported package mcal

